<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Laporan Dana</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Laporan Realisasi Dana
        <small>Form</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Transaksi</li>
        <li class="active"> Laporan Realisasi Dana</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">

        <div class="col-md-6">
                <div class="callout callout-danger" th:if="${gagal != null}">
                    <h4>Laporan Ditolak!</h4>

                    <p>Data Tidak dapat diproses karena anda belum melampirkan seluruh bukti realisasi, atau data isian tidak lengakap.</p>
                </div>

            <div class="callout callout-danger" th:if="${gagalket != null}">
                <h4>Laporan Ditolak!</h4>

                <p>Data Tidak dapat diproses karena kolom isian wajib diisi semua.</p>
            </div>

                <div class="callout callout-success" th:if="${success != null}">
                    <h4>Save Data Success!</h4>

                    <p>Terimakasih Sudah melakukan Pelaporan Realisasi dana anda..</p>
                </div>
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Form Laporan Realisasi dana</h3>
                </div>

                <form class="form-horizontal" th:action="@{/transaksi/laporandana/save}" th:object="${laporanDana}" method="post" enctype="multipart/form-data">

                <div class="box-body no-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box box-success box-solid">
                                <div class="box-header with-border">
                                    <div class="col-md-6">
                                        <span class="info-box-text">Detail Pencairan</span>
                                    </div>
                                    <div class="col-md-6" align="right">
                                        <span class="time" th:text="${#temporals.format(pencairanDana.tanggalPencairan,'dd-MMM-yyyy hh:mm:ss a')}"></span>
                                    </div>
                                </div>
                                <!-- /.box-header -->
                                <div class="box-body">
                                    <div class="row">
                                        <div class="col-md-2">
                                            <!-- <img class="img-thumbnail" th:src="@{/pencairandanacair/{pencairanDana}/bukti/(pencairanDana = ${pencairanDana.id})}" alt="Attachment Image">
     -->
                                            <a th:if="${pencairanDana.file} == 'default.jpg'" class="btn btn-danger btn-xs">
                                                No Attachment
                                            </a>
                                            <a th:if="${pencairanDana.file} != 'default.jpg'" class="btn btn-primary btn-xs" th:href="@{/pencairandanacair/{pencairanDana}/bukti/(pencairanDana = ${pencairanDana.id})}" target="_blank">
                                                View Attachment
                                            </a>
                                        </div>



                                        <div class="col-md-10">
                                            <div class="box box-success">
                                                <div class="box-body">
                                                    <table class="table table-bordered">
                                                        <tr>
                                                            <td th:text="${pencairanDana.keterangan}"></td>
                                                        </tr>
                                                        <tr>
                                                            <td th:text="${'Rp. ' + #numbers.formatDecimal(pencairanDana.nominalPencairan, 0, 'POINT', 2, 'COMMA')}"></td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="box-body no-padding">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box box-success box-solid">
                                <div class="box-header with-border">
                                    <div class="col-md-6">
                                        <span class="info-box-text">Detail Pengajuan</span>
                                    </div>
                                </div>
                                <!-- /.box-header -->
                                <div class="box-body">
                                    <div class="row" th:each="dataPencairanDanaDetail,row : ${listPencairanDanaDetail}">
                                        <div class="col-md-2">
                                          <!--  <img class="img-thumbnail" th:src="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPencairanDanaDetail.pengajuanDana.id})}" alt="Attachment Image">
-->
                                            <a th:if="${dataPencairanDanaDetail.pengajuanDana.file} == 'default.jpg'" class="btn btn-danger btn-xs">
                                                No Attachment
                                            </a>
                                            <a th:if="${dataPencairanDanaDetail.pengajuanDana.file} != 'default.jpg'" class="btn btn-primary btn-xs" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPencairanDanaDetail.pengajuanDana.id})}" target="_blank">
                                                View Attachment
                                            </a>
                                        </div>

                                        <div class="col-md-10">
                                            <div class="box box-success">
                                                <div class="box-body">
                                                    <table class="table table-bordered">
                                                        <tr>
                                                            <td th:text="${dataPencairanDanaDetail.pengajuanDana.deskripsiBiaya}"></td>
                                                        </tr>
                                                        <tr>
                                                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPencairanDanaDetail.pengajuanDana.jumlah, 0, 'POINT', 2, 'COMMA')}"></td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label for="jumlah" class="col-sm-2 control-label">Realisasi</label>

                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control" th:field="*{jumlah}" name="jumlah" id="jumlah" placeholder="0.00">
                                                    <p th:if="${#fields.hasErrors('jumlah')}" th:errors="*{jumlah}" class="text-danger"> Nominal Pelaporan</p>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label for="deskripsi" class="col-sm-2 control-label">Deskripsi</label>

                                                <div class="col-sm-10">
                                                    <textarea class="form-control" rows="3" th:field="*{deskripsi}" name="deskripsi" id="deskripsi" placeholder="Deskripsi ..."></textarea>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <label for="lampiran" class="col-sm-2 control-label">File_Upload</label>

                                                <div class="col-sm-10">
                                                    <table id="table" class="table table-bordered table-striped">
                                                        <thead>
                                                        <tr>
                                                            <th>File</th>
                                                            <th>
                                                                <button type="button" id="tambahFile">Tambah</button>
                                                            </th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr>
                                                            <td>
                                                                <input type="file" name="files" id="lampiran" accept="image/jpeg,mage/jpg,image/png,application/pdf" required>
                                                            </td>
                                                        </tr>
                                                        </tbody>

                                                    </table>
                                                    <p class="help-block">Upload file Invoice Atau tagihan pembayaran lain nya jika diperlukan.</p>
                                                </div>
                                            </div>


                                            <input type="hidden" name="id" th:field="*{id}">

                                            <input type="hidden" th:value="${dataPencairanDanaDetail.id}" class="flat-red" name="pencairanDanaDetail">

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                    <div class="box-footer">

                        <a th:href="@{/transaksi/pengajuandana/laporan}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>
</section>                                                    <ul id="fileList"></ul> <!-- Menampilkan daftar file yang dipilih -->


<section layout:fragment="footer" class="script">
    <script>
        $(document).ready(function () {
            var fileIndex = 1; // Menghitung jumlah file input
            var maxFiles = 10; // Batas maksimum file

            $("#tambahFile").click(function () {
                if (fileIndex < maxFiles) { // Cek apakah sudah mencapai batas maksimal
                    fileIndex++;

                    var newRow = `
                <tr>
                    <td style="padding: 10px">
                        <input type="file" name="files" accept="image/jpeg,image/jpg,image/png,application/pdf" required>
                    </td>
                    <td style="padding: 10px">
                        <button type="button" class="hapusFile btn btn-danger btn-xs">Hapus</button>
                    </td>
                </tr>`;

                    $("#table tbody").append(newRow);

                    if (fileIndex === maxFiles) {
                        $("#tambahFile").prop("disabled", true); // Disable tombol jika sudah 10
                    }
                }
            });

            // Event listener untuk menghapus file input
            $(document).on("click", ".hapusFile", function () {
                $(this).closest("tr").remove();
                fileIndex--; // Kurangi jumlah file

                if (fileIndex < maxFiles) {
                    $("#tambahFile").prop("disabled", false); // Enable tombol jika kurang dari 10
                }
            });
        });
    </script>
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('yyyy-mm-dd', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalPenerimaan').datepicker({
                autoclose: true, locale: { format: 'YYYY-MM-DD' }
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>

    <script>
        var fileInput = document.getElementById('lampiran');
        fileInput.addEventListener('change', function(event) {
            var file = event.target.files[0];
            var allowedExtensions = /(\.jpeg|\.jpg|\.png|\.pdf)$/i; // Ekstensi yang diizinkan
            var maxSizeInBytes = 2 * 1024 * 1024; // Ukuran maksimum file dalam bytes (2MB)

            if (!allowedExtensions.exec(file.name)) {
                alert('File yang diunggah harus dalam format JPEG, JPG, PNG, atau PDF.');
                fileInput.value = ''; // Menghapus file yang diunggah
                return false;
            }

            if (file.size > maxSizeInBytes) {
                alert('Ukuran file tidak boleh melebihi 2MB.');
                fileInput.value = ''; // Menghapus file yang diunggah
                return false;
            }
        });
    </script>

    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>